package com.loganmagnan.eventcore.managers.hotbar;

import com.loganmagnan.eventcore.EventCore;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

@Getter
@Setter
public class HotBarManager {

    private EventCore main = EventCore.getInstance();

    private Set<HotBar> hotBars = ConcurrentHashMap.newKeySet();

    public void addHotBar(HotBar hotBar) {
        this.hotBars.add(hotBar);
    }

    public void removeHotBar(HotBar hotBar) {
        this.hotBars.remove(hotBar);
    }
}
